it.csi.mddtools.guigen

## Interface VisibilityCommand

- All Superinterfaces:
    Command, CommandOnWidgets, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface VisibilityCommand
      extends Command, CommandOnWidgets

  A representation of the model object 'Visibility Command'. Permette di mostrare/nascondere i widget e/o menu specificati. Lo stato di visibilità rimane persistente in sessione.

  The following features are supported:

  - `Show`
  See Also:
    `GuigenPackage.getVisibilityCommand()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isShow()` Returns the value of the 'Show' attribute
    `void` | `setShow(boolean value)` Sets the value of the '`Show`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.CommandOnWidgets

      `getTargetMenuElement, getTargetWidgets`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isShow

          boolean isShow()

      Returns the value of the 'Show' attribute.

      If the meaning of the 'Show' attribute isn't clear, there really should be more of a description here...

      Se impostato a true il comando ha effetto di rendere visibile i widget; se impostato a false ha l'effetto di renderli invisibili.
      Returns:
        the value of the 'Show' attribute.
      See Also:
        `setShow(boolean)`, `GuigenPackage.getVisibilityCommand_Show()`

    - #### setShow

          void setShow(boolean value)

      Sets the value of the '`Show`' attribute.
      Parameters:
        `value` - the new value of the 'Show' attribute.
      See Also:
        `isShow()`